Package org.apache.commons.math3.linear

# Interface FieldVectorPreservingVisitor<T extends FieldElement<?>>

Type Parameters:
  `T` - the type of the field elements

public interface FieldVectorPreservingVisitor<T extends FieldElement<?>>
This interface defines a visitor for the entries of a vector. Visitors implementing this interface do not alter the entries of the vector being visited.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`T`
`end()`
End visiting a vector.
`void`
`start(int dimension, int start, int end)`
Start visiting a vector.
`void`
`visit(int index, T value)`
Visit one entry of the vector.

## Method Details

### start

void start(int dimension, int start, int end)
Start visiting a vector. This method is called once, before any entry of the vector is visited.

Parameters:
  `dimension` - the size of the vector
  `start` - the index of the first entry to be visited
  `end` - the index of the last entry to be visited (inclusive)

### visit

void visit(int index, T value)
Visit one entry of the vector.

Parameters:
  `index` - the index of the entry being visited
  `value` - the value of the entry being visited

### end

T end()
End visiting a vector. This method is called once, after all entries of the vector have been visited.

Returns:
  the value returned after visiting all entries